Package org.drinkless.tdlib

# Class TdApi.StoryInteractions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryInteractions

Enclosing class:
  TdApi

public static class TdApi.StoryInteractions extends TdApi.Object
Represents a list of interactions with a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryInteraction[]`
  `interactions`
  List of story interactions.
  `String`
  `nextOffset`
  The offset for the next request.
  `int`
  `totalCount`
  Approximate total number of interactions found.
  `int`
  `totalForwardCount`
  Approximate total number of found forwards and reposts; always 0 for chat stories.
  `int`
  `totalReactionCount`
  Approximate total number of found reactions; always 0 for chat stories.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryInteractions()`
  Represents a list of interactions with a story.
  `StoryInteractions(int totalCount, int totalForwardCount, int totalReactionCount, TdApi.StoryInteraction[] interactions, String nextOffset)`
  Represents a list of interactions with a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of interactions found.

  - ### totalForwardCount

    public int totalForwardCount
    Approximate total number of found forwards and reposts; always 0 for chat stories.

  - ### totalReactionCount

    public int totalReactionCount
    Approximate total number of found reactions; always 0 for chat stories.

  - ### interactions

    public TdApi.StoryInteraction[] interactions
    List of story interactions.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryInteractions

    public StoryInteractions()
    Represents a list of interactions with a story.

  - ### StoryInteractions

    public StoryInteractions(int totalCount, int totalForwardCount, int totalReactionCount, TdApi.StoryInteraction[] interactions, String nextOffset)
    Represents a list of interactions with a story.
    Parameters:
      `totalCount` - Approximate total number of interactions found.
      `totalForwardCount` - Approximate total number of found forwards and reposts; always 0 for chat stories.
      `totalReactionCount` - Approximate total number of found reactions; always 0 for chat stories.
      `interactions` - List of story interactions.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR